--- old/usr/src/lib/libc/port/locale/timelocal.h	2013-06-16 17:44:38.962940787 +0000
+++ new/usr/src/lib/libc/port/locale/timelocal.h	2013-06-16 17:44:38.979128329 +0000
@@ -3,6 +3,10 @@
  * Copyright (c) 1997-2002 FreeBSD Project.
  * All rights reserved.
  *
+ * Copyright (c) 2011 The FreeBSD Foundation
+ * All rights reserved.
+ * Portions of this software were developed by David Chisnall
+ *
  * Redistribution and use in source and binary forms, with or without
  * modification, are permitted provided that the following conditions
  * are met:
@@ -28,6 +32,8 @@
 #ifndef _TIMELOCAL_H_
 #define	_TIMELOCAL_H_
 
+#include "xlocale_private.h"
+
 /*
  * Private header file for the strftime and strptime localization
  * stuff.
@@ -46,6 +52,12 @@
 	const char	*ampm_fmt;
 };
 
+struct xlocale_time {
+	struct xlocale_component header;
+	char *buffer;
+	struct lc_time_T locale;
+};
+
 struct lc_time_T *__get_current_time_locale(void);
 int	__time_load_locale(const char *);
 
